package cn.ysk.cashier.mybatis.entity;

import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.extension.activerecord.Model;

/**
 * (TbShopPurveyorTransactPay)表实体类
 *
 * @author ww
 * @since 2024-07-01 11:23:28
 */
@SuppressWarnings("serial")
public class TbShopPurveyorTransactPay extends Model<TbShopPurveyorTransactPay> {
    //自增id
    private Integer id;
    //进出帐id
    private Integer transactId;
    //付款方式
    private String payType;
    //付款金额
    private BigDecimal paidAmount;
    //备注
    private String remark;
    //创建时间
    private Date createTime;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getTransactId() {
        return transactId;
    }

    public void setTransactId(Integer transactId) {
        this.transactId = transactId;
    }

    public String getPayType() {
        return payType;
    }

    public void setPayType(String payType) {
        this.payType = payType;
    }

    public BigDecimal getPaidAmount() {
        return paidAmount;
    }

    public void setPaidAmount(BigDecimal paidAmount) {
        this.paidAmount = paidAmount;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public TbShopPurveyorTransactPay() {
    }

    public TbShopPurveyorTransactPay(Integer transactId, String payType, BigDecimal paidAmount, String remark, Date createTime) {
        this.transactId = transactId;
        this.payType = payType;
        this.paidAmount = paidAmount;
        this.remark = remark;
        this.createTime = createTime;
    }
}

